//
//  ES1Renderer.h
//  Shatter
//
//  Created by Yoshikazu Kuramochi on 11/09/30.
//  Copyright __MyCompanyName__ 2011. All rights reserved.
//

#import "ESRenderer.h"

#import <OpenGLES/ES1/gl.h>
#import <OpenGLES/ES1/glext.h>

@interface ES1Renderer : NSObject <ESRenderer, UIAccelerometerDelegate>
{
@private
	EAGLContext *context;
	
	// The pixel dimensions of the CAEAGLLayer
	GLint backingWidth;
	GLint backingHeight;
	
	// The OpenGL names for the framebuffer and renderbuffer used to render to this view
	GLuint defaultFramebuffer, colorRenderbuffer, depthRenderbuffer;

	
	GLuint texture;
	GLfloat* shatterData;
	GLfloat* vertices;
	GLfloat* texCoords;
	BOOL shattered;
	CFAbsoluteTime shatteredTime;
	UIAccelerationValue accelVec[3];
	UIAccelerationValue accelDlt[3];
}

- (void) render;
- (BOOL) resizeFromLayer:(CAEAGLLayer *)layer;
- (void) shatter:(CGPoint)point toggle:(BOOL)toggle;

@end
